\begin{equation*}
\begin{tikzpicture}[
  baseline = (current  bounding  box.center),
  mystyle/.style = {
    matrix of math nodes,
    every node/.append style = {
      text width = #1, align = center, minimum height = 1ex
    },
    nodes in empty cells,
    left delimiter=[,
    right delimiter=],
  }
]
\matrix[mystyle = .6cm] (A)
{
  A_{vv_{11}} & \cdots & A_{vv_{1n}} & A_{sv_{11}}^T & \cdots & A_{sv_{1k}}^T \\
  \vdots & \ddots & \vdots & \vdots & \ddots & \vdots \\
  A_{vv_{n1}} & \cdots & A_{vv_{nn}} & A_{sv_{m1}}^T & \cdots & A_{sv_{mk}}^T \\
  A_{sv_{11}} & \cdots & A_{sv_{1n}} & A_{ss_{11}} & \cdots & A_{ss_{1k}} \\
  \vdots & \ddots & \vdots & \vdots & \ddots & \vdots \\
  A_{sv_{k1}} & \cdots & A_{sv_{kn}} & A_{ss_{k1}} & \cdots & A_{ss_{kk}} \\
};
\draw[line width = 3pt, green]
  ([xshift = -15pt, yshift = 2pt]A-1-1.north west) --
  ([xshift = -15pt, yshift = 2pt]A-3-1.south west);
\draw[line width = 3pt, red]
  ([xshift = -15pt, yshift = -2pt]A-4-1.north west) --
  ([xshift = -15pt, yshift = -2pt]A-6-1.south west);
\draw[line width = 3pt, green]
  ([xshift = -2pt, yshift = 8pt]A-1-1.north west) --
  ([xshift = -2pt, yshift = 8pt]A-1-3.north east);
\draw[line width = 3pt, red]
  ([xshift = 2pt, yshift = 6.5pt]A-1-4.north west) --
  ([xshift = 2pt, yshift = 6.5pt]A-1-6.north east);

\node at ([xshift = 20pt, yshift = -1.2pt]A.east) {$\times$};

\matrix[mystyle = .4cm, right = 40pt of A] (X)
{
  x_{v_1} \\
  \vdots \\
  x_{v_n} \\
  x_{s_1} \\
  \vdots \\
  x_{s_k} \\
};

\node at ([xshift = 17pt, yshift = -1.2pt]X.east) {$=$};

\matrix[mystyle = .4cm, right = 35pt of X] (B)
{
  b_{v_1} \\
  \vdots \\
  b_{v_n} \\
  b_{s_1} \\
  \vdots \\
  b_{s_k} \\
};
\end{tikzpicture}
\end{equation*}
